Hlavní navigace

RPM 5.0.0 nabízí podporu dalších platforem

Sdílet

Petr Krčmář 7. 1. 2008

Po sedmi měsících intenzivního vývoje je k dispozici RPM verze 5. Byla kompletně přepsána sestavovací prostředí, zmizela podpora zastaralých rpmrc souborů, byla přidána podpora LZMA komprese a přibyly nové podporované platformy. Díky pročištěnému kódu můžete RPM nyní kromě Linuxu provozovat také na systémech BSD, Solaris, Mac OS X a Windows/Cygwin. Další informace naleznete v tiskové zprávě.

Našli jste v článku chybu?
  • Aktualita je stará, nové názory již nelze přidávat.
  • 7. 1. 2008 18:21

    iTRAIN (neregistrovaný)
    znamena to ze si pro cygwin stahnu RPM balicky rekneme takoveho Amaroku, nainstaluju vsechny zavislosti (RPM balicky) a ono to pojede bez nejake rekompilace?? Nebo to chapu uplne spatne?
  • 7. 1. 2008 21:44

    BLEK. (neregistrovaný)
    Ideální by bylo, kdyby balíčkovač po při pokusu o instalaci závislosti nejdřív zjistil, zda závislost nebyla nainstalována ručně bez balíčkovače (zda existují dané soubory v /usr/local/lib nebo /usr/local/bin), a pokud ano, tak by se znovu nesnažil instalovat to samé. Na rozdíl od různých BFU-klikátek by mi tohle fakt pomohlo.
  • 7. 1. 2008 23:34

    Zdenek
    A proč instalovat ručně, když je k dispozici balík? (A ten asi bude, když se na něj odkazuje.) Navíc takhle by si těžko balíčkovací systém pohlídal, jakou máš verzi toho ručně instalovaného programu/knihovny, jestlis nezměnil verzi, nesmazal ho, ...